using System;

namespace Stat.web
{
    /// <summary>
    /// 
    /// </summary>
    public partial class Default : System.Web.UI.Page
    {
        /// <summary>
        /// 
        /// </summary>
        protected Stat.Cache.IConfig config = Stat.Cache.CacheFatory.CreateConfig();
        Stat.Cache.IAd ad = Stat.Cache.CacheFatory.CreateAd();
        Stat.Cache.INavigate nav = Stat.Cache.CacheFatory.CreateNavigate();
        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Page.Title = config.WebName() + " " + config.WebUrl();
            this.ltrNav.Text = Html.Navigate.Get(nav.Get(7));
            this.ltrFrendLinkImg.Text = Html.FrendLink.GetImg(ad.GetImg(7, 0), 115, 57);
            this.ltrFrendLinkTxt.Text = Html.FrendLink.GetText(ad.GetText(100, 0));
            this.ltrFlashNews.Text = Html.FrendLink.GetImg_Js(ad.GetImg_Play(4, 2, 1), 600, 240);
            this.ltrFoot.Text = config.WebFoot() + config.StatCode();

        }
    }
}
